%define name Xbae
%define version 4.9.11
%define release 2mdk

%define major 4
%define libname lib%{name}%{major}


Summary:   Xbae Widget Set
Name:      %name
Version:   %version
Release:   %release
License: BSD
Group:     System/Libraries
Url:	   http://xbae.sourceforge.net/
Source:    ftp://ftp.hungry.com/pub/hungry/lesstif/Xbae-4.9.11.tar.bz2
BuildRoot: %{_tmppath}/%name-root
BuildRequires: lesstif libxpm-devel
Requires: lesstif

%description
XbaeMatrix is a free Motif table widget (also compatible with the free LessTif) 
which presents an editable array of string data to the user in a scrollable 
table similar to a spreadsheet. The rows and columns of the Matrix may 
optionally be labelled. A number of "fixed" and "trailing fixed" rows or columns 
may be specified.

%package -n %libname
Summary:   Xbae Widget Set
Group:     System/Libraries

%description -n %libname
XbaeMatrix is a free Motif table widget (also compatible with the free LessTif)
which presents an editable array of string data to the user in a scrollable
table similar to a spreadsheet. The rows and columns of the Matrix may
optionally be labelled. A number of "fixed" and "trailing fixed" rows or 
columns may be specified. 

%package -n %libname-devel
Summary:        Development tools for programs which will use the %name library.
Group:          Development/Other
Requires:       %libname = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel

%description -n %libname-devel
The %name-devel package includes the header files and static libraries
necessary for developing programs using the %name library.

If you are going to develop programs which will use this library
you should install %name-devel.  You'll also need to have the %name
package installed.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version

export LESSTIFTOP=$PWD

export CFLAGS="$RPM_OPT_FLAGS"
./configure i586-mandrake-linux-gnu --prefix=/usr/X11R6 --enable-shared --disable-static --disable-debug

%build

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT/usr/X11R6
mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/X11R6
mv $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/X11R6

rm -rf $RPM_BUILD_ROOT/%_prefix/Xbae

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc doc/*.html
/usr/X11R6/lib/*.so.*
%{_mandir}/man3/*


%files -n %libname-devel
%defattr (-,root,root)
/usr/X11R6/include/Xbae/*
/usr/X11R6/lib/*.so
/usr/X11R6/lib/*.la

%changelog
* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 4.9.11-2mdk
- rebuild

* Thu Oct 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.9.11-1mdk
- libification
- from Austin Acton <aacton@yorku.ca> :
	- initial package for Mandrake 9.0


